// -----------------------
// Directory and file read
// -----------------------

const fs = require('fs'), path = require('path'), rl = require('readline');

// write variable
var logger = fs.createWriteStream('export.txt', {
  flags: 'a' // 'a' means appending (old data will be preserved)
})
	
// --- Main loop ( Read directory ) ---	//
walkDir('veriler', function(filePath) {
	
	const fileContents = fs.readFileSync(filePath, 'utf8');
	
	// Get file's creation time
	stats = fs.statSync(filePath);
	current_datetime = new Date();
	
	var lineRead = rl.createInterface({
	  input: fs.createReadStream(filePath),
		console: false
	});
	
	// --- tpl content loop begin ( Read file content ) --- //
	var tpl = "";		 
	lineRead.on('line', (line) => {  

		var splitArr = line.split("\t"); //  two elements
		
		// skip single column 		
		if ( splitArr.length > 1) { 
			//tpl += splitArr[1].replace(/ /g,'') +"\t" + splitArr[2].replace(/ /g,'') +"\t";  // merge two elements to tpl
			tpl += splitArr[1].trim() +"\t"+ splitArr[2].trim() +"\t";  // merge two elements to tpl
		}
	 
	}).on('close', function() {	
		logger.write( 
		// path.basename(filePath) +"\t"+ 
		filePath +"\t"+
		stats.birthtime.toISOString().replace(/T/, ' ').replace(/\..+/, '') +"\t"+ 
		tpl + "\n" 
		);	  
	}); // --- tpl content loop end ---
	
}); // Main loop end

// -- walk function --
function walkDir(dir, callback) {
  fs.readdirSync(dir).forEach( f => {
    let dirPath = path.join(dir, f);
    let isDirectory = fs.statSync(dirPath).isDirectory();
    isDirectory ? 
      walkDir(dirPath, callback) : callback(path.join(dir, f));
  }); 
};


